Bug 179300 - Play action rejected when src is ObjectURL created from a Blob
Summary: Play action rejected when src is ObjectURL created from a Blob
Status: NEW
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: Safari 11
Hardware: iPhone / iPad iOS 11
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-11-05 12:52 PST by wilhelm.wanecek
Modified: 2017-11-13 00:54 PST (History)
4 users (show)

See Also:


Attachments
HTML file reproducing the error (1.33 KB, text/html)
2017-11-05 12:52 PST, wilhelm.wanecek
no flags Details
HTML file reproducing a similar but functioning scenario (1007 bytes, text/html)
2017-11-05 12:54 PST, wilhelm.wanecek
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description wilhelm.wanecek 2017-11-05 12:52:56 PST
Created attachment 326074 [details]
HTML file reproducing the error

Executing the play() method of a HTMLVideoElement (<video>) with the attributes "autoplay", "muted", and "playsinline" is rejected with a NotSupportedError when the source is an objectURL from a Blob, despite the video element meeting the requirements for being played inline.

Steps to reproduce:
1. Open the attached file 'video-autoplay-rejected.html' on an iOS device (For testing purposes, I've been running iOS 11 on a simulated iPhone 7 through the Xcode Device Simulator.).
2. In order to gain access to the logs, inspect the browser tab through Safari developer tools on a Mac.
3. Notice how the video fails to autoplay, and subsequent calls to video.play() are rejected.
---
4. Open up the 'video-autoplay-resolved.html' and repeat steps 2-3.
5. Notice how the demo works as expected - the video is automatically played, and can be paused/played on demand.

Tested on iOS 11.0.1 (15A8401)
Comment 1 wilhelm.wanecek 2017-11-05 12:54:03 PST
Created attachment 326075 [details]
HTML file reproducing a similar but functioning scenario
Comment 2 Radar WebKit Bug Importer 2017-11-06 17:20:34 PST
<rdar://problem/35378038>
Comment 3 Jer Noble 2017-11-10 16:53:25 PST
This looks like a bug in the underlying media frameworks used by WebKit, and not WebKit itself. I'll keep this bug updated when a OS level fix is available, but there likely won't be any commits to WebKit to track.
Comment 4 wilhelm.wanecek 2017-11-13 00:54:56 PST
Thanks for your reply Jer. Would it help if I re-submitted this bug-report somewhere else (e.g. to Apple Bug Reporter), or has the bug already been communicated?